Search documentation of polar_express

# PolarExpress.Services.CustomerPortal.BenefitGrantsService (polar_express v0.1.5)

Copy Markdown View Source

Benefit-grants

BenefitGrants API operations.

## Summary

### Functions

get_benefit_grant(client, id, params \\ %{}, opts \\ [])

Get Benefit Grant

list_benefit_grants(client, params \\ %{}, opts \\ [])

List Benefit Grants

update_benefit_grant(client, id, params \\ %{}, opts \\ [])

Update Benefit Grant

## Functions

# get_benefit_grant(client, id, params \\ %{}, opts \\ [])

    @spec get_benefit_grant(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerBenefitGrant.t()}
      | {:error, PolarExpress.Error.t()}

Get Benefit Grant

Get a benefit grant by ID for the authenticated customer.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.BenefitGrantsGetBenefitGrantParams` for parameter details.

# list_benefit_grants(client, params \\ %{}, opts \\ [])

    @spec list_benefit_grants(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Benefit Grants

List benefits grants of the authenticated customer.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.BenefitGrantsListBenefitGrantsParams` for parameter details.

# update_benefit_grant(client, id, params \\ %{}, opts \\ [])

    @spec update_benefit_grant(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerBenefitGrant.t()}
      | {:error, PolarExpress.Error.t()}

Update Benefit Grant

Update a benefit grant for the authenticated customer.

Scopes: `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.BenefitGrantsUpdateBenefitGrantParams` for parameter details.